Bug 794768 - Unable to upload a CLI alert script using the Upload mechanism on the Repository detail page
Unable to upload a CLI alert script using the Upload mechanism on the Reposit...
Status: ASSIGNED
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: Reopened
Depends On:
Blocks: 796381 852145
  Show dependency treegraph
 
Reported: 2012-02-17 10:12 EST by Lukas Krejci
Modified: 2013-05-02 14:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 796381 (view as bug list)
Environment:
Last Closed: 2012-11-27 15:20:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-02-17 10:12:18 EST
Description of problem:
$SUBJECT

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create a repository
2. Scroll down, upload a js script
3. select type of "Serverside CLI Script"
4. Click "Create Package" button
  
Actual results:
exception complaining that a sha256 hash is not an OSGi version string (which it isn't)

Expected results:
upload should work

Additional info:
This exception is most likely caused by the validation the CLI package type performs on the version string.
Not sure what the solution should be here though. Using sha256 as a version string makes a lot of sense (as we've seen lately) but at the same time the validation (of CLI package type versions )that is in place right now does a good deal of user visible version validation. Maybe we could just change the validator to check the display version instead of the version field?
Comment 1 Lukas Krejci 2012-02-17 10:12:54 EST
Stefan, what is your opinion on this?
Comment 2 Lukas Krejci 2012-02-17 10:17:29 EST
The uploading using the CLI alert notification definition popup while defining an alert definition still works though...
Comment 3 Mike Foley 2012-02-27 12:12:54 EST
triage 2/27/2012 mfoley, asantos, crouch, loleary
Comment 4 Charles Crouch 2012-02-27 17:41:34 EST
Targeting for *consideration* for JON3.1.0
Comment 5 Charles Crouch 2012-05-21 18:52:09 EDT
As per triage, targeting for JON3.2.0
Comment 6 Larry O'Leary 2012-11-27 15:20:09 EST
Closing as duplicate of later bug 840650. The later version has the same details along with the workaround.

*** This bug has been marked as a duplicate of bug 840650 ***
Comment 7 Lukas Krejci 2013-05-02 14:59:53 EDT
Unclosing this because BZ 840650 doesn't provide a fully functional workaround for this.

See comment 3 @ BZ 840650 https://bugzilla.redhat.com/show_bug.cgi?id=840650#c3

Note You need to log in before you can comment on or make changes to this bug.